/*
 * Copyright (C) 2004 by Oliver Schulz. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the copyright holders nor the names of
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY EGNITE SOFTWARE GMBH AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL EGNITE
 * SOFTWARE GMBH OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF
 * THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

/*
 * $Log$
 */
 
#ifndef __1WIRE_H
#define __1WIRE_H

#include <sys/types.h>

#define DS1W_SEARCH_ROM		0xF0
#define DS1W_READ_ROM		0x33
#define DS1W_MATCH_ROM		0x55
#define DS1W_SKIP_ROM		0xCC
#define DS1W_ALARM_SEARCH       0xEC
#define DS1W_CONVERT_T          0x44
#define DS1W_WRITE_SCRATCHPAD   0x4E
#define DS1W_READ_SCRATCHPAD    0xBE
#define DS1W_COPY_SCRATCHPAD    0x48
#define DS1W_RECALL_E2          0xB8
#define DS1W_READ_POWER_SUPPLY  0xB4


extern u_char DS1WInit (void);
extern u_char DS1WReadBit (void);
extern u_char DS1WReadByte (void);
extern void DS1WWriteBit (u_char bit);
extern void DS1WWriteByte (u_char b);
extern void DS1WWriteBuf (char *buf, size_t len);
extern void DS1WReadBuf (char *buf, size_t len);
extern int DS1WSearchRom(char *ROM);


#endif

